package xyz.stachel.bonzotimer;

import net.minecraft.client.MinecraftClient;
import java.util.Optional;

public class Timer {
    private static Timer instance;
    private final long started;
    private final byte duration;

    public Timer(byte ticks) {
        this.duration = ticks;
        this.started = MinecraftClient.getInstance().world.getTime();
    }

    public byte remaining() {
        byte remaining = (byte) ((started + duration) - MinecraftClient.getInstance().world.getTime());
        if (remaining <= 0 || remaining > duration) instance = null;
        return remaining;
    }

    public static Optional<Timer> getInstance() {
        return Optional.ofNullable(instance);
    }

    public static void setInstance(Timer instance) {
        Timer.instance = instance;
    }
}
